Subject: Re: ETags vs Variants, was: Revising RFC2616 - what's happening

From: Henrik Nordstrom <[email-masked]>
Date: Fri, 20 Oct 2006 10:56:40 +0200

tor 2006-10-19 klockan 10:17 -0700 skrev Jeffrey Mogul:

> See my WWW 2002 paper <http://www2002.org/CDROM/refereed/444.pdf>
> for a detailed analysis.

Reading.. amd not entirely agreeing that the current specs is as bad as
the paper tries to say, but it does correctly point out many problematic
areas.

I also don't fully agree that the instance definition is needed for
Content-Encoding. Just need to push down everyones throat that selection
of Content-Encoding is a entity variant selection, just as
Content-Language.

But Content-Range and Content-MD5 is tricky...  Is it really the
intention that Content-MD5 is of the message (before transfer encoding)
and not the complete entity? I always thought this was calculated on the
complete entity before range selection.